import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Powerup to make the ship's guns shoot parallelly
 * 
 * @author Jannis Andrija Schnitzer, Martin Schend
 * @version 2011-01-20
 */
public class StraightGuns  extends Collectible
{
    public void act() 
    {
        super.act();
    }
    
    public boolean hit(ManuallyControlledSpaceship ship)
    {
        ship.setAngledGuns(false);
        return false;
    }
}
